Skip to main content
GET
/
events
/
history
List Event History
curl --request GET \
  --url https://api.example.com/events/history
import requests

url = "https://api.example.com/events/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/events/history', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "organization_id": "<string>",
    "resource_id": "<string>",
    "resource_name": "<string>",
    "provider": "<string>",
    "resource_type": "<string>",
    "event_type": "<string>",
    "id": "<string>",
    "actor_type": "<string>",
    "actor_id": "<string>",
    "error": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z"
  }
]
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Query Parameters

since
string<date-time> | null

Start of time window (ISO 8601). Defaults to 1 hour ago.

until
string<date-time> | null

End of time window (ISO 8601). Defaults to now.

resource_id
string | null

Filter to a specific resource by SurrealDB ID.

Response

Successful Response

organization_id
string
required
resource_id
string
required
resource_name
string
required
provider
string
required
resource_type
string
required
event_type
string
required
to_state
enum<string>
required

Lifecycle states for resources.

Available options:
draft,
waiting,
pending,
processing,
ready,
failed,
deleting
id
string | null
from_state
enum<string> | null

Lifecycle states for resources.

Available options:
draft,
waiting,
pending,
processing,
ready,
failed,
deleting
actor_type
string | null
actor_id
string | null
error
string | null
timestamp
string<date-time>
expires_at
string<date-time>